Name:           humanity-icon-theme
Version:        0.6.8
Release:        2%{?dist}
Summary:        Humanity icon theme

Group:          User Interface/Desktops
License:        GPLv2
URL:            https://launchpad.net/humanity/
Source0:        %{name}-%{version}-without-logos.tar.xz
# Humanity icon theme contains copyrighted Ubuntu logo icons. Therefore we use
# this script to delete these files and remove any reference to the Ubuntu
# trademark before shipping it
Source1:        %{name}-generate-tarball.sh

Requires:       adwaita-icon-theme
Requires:       hicolor-icon-theme
BuildArch:      noarch

%description
Humanity and Humanity Dark are nice and well polished icon themes for the GNOME
desktop.


%prep
%setup -q


%build


%install
install -dpm 0755 $RPM_BUILD_ROOT%{_datadir}/icons/
cp -a Humanity/ $RPM_BUILD_ROOT%{_datadir}/icons/
cp -a Humanity-Dark/ $RPM_BUILD_ROOT%{_datadir}/icons/

# Remove documentation and license files in theme folders
rm $RPM_BUILD_ROOT%{_datadir}/icons/Humanity/{AUTHORS,CONTRIBUTORS,COPYING}
rm $RPM_BUILD_ROOT%{_datadir}/icons/Humanity-Dark/{AUTHORS,COPYING}


%post
/bin/touch --no-create %{_datadir}/icons/Humanity/ &>/dev/null || :
/bin/touch --no-create %{_datadir}/icons/Humanity-Dark/ &>/dev/null || :


%postun
if [ $1 -eq 0 ]; then
  /bin/touch --no-create %{_datadir}/icons/Humanity/ &>/dev/null
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/Humanity/ &>/dev/null || :
  /bin/touch --no-create %{_datadir}/icons/Humanity-Dark/ &>/dev/null
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/Humanity-Dark/ &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/Humanity/ &>/dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/Humanity-Dark/ &>/dev/null || :


%files
%doc Humanity/{AUTHORS,CONTRIBUTORS}
%license Humanity/COPYING
%{_datadir}/icons/Humanity/
%{_datadir}/icons/Humanity-Dark/


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 08 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.6.8-1
- Update to 0.6.8

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.6.5-1
- Update to 0.6.5

* Sat Nov 02 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.6.4-1
- Update to 0.6.4

* Thu Aug 29 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.6.3-1
- Update to 0.6.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 07 2013 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 06 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1

* Fri Sep 21 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.6-1
- Update to 0.6

* Sat Aug 11 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.5.3.12-1
- Update to 0.5.3.12

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 11 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.5.3.11-2
- Repack source to remove copyrighted Ubuntu logos
- Remove dependency on fedora-logos

* Sun Oct 09 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.5.3.11-1
- Initial RPM release
